# $Revision: 1.67 $, $Date: 2008-03-26 17:49:39 $
Summary:	RPC port mapper
Summary(pl.UTF-8):	Portmapper RPC
Name:		portmap
Version:	6.0
Release:	2
License:	BSD
Group:		Daemons
Source0:	http://neil.brown.name/portmap/%{name}-%{version}.tgz
# Source0-md5:	ac108ab68bf0f34477f8317791aaf1ff
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-install.patch
BuildRequires:	libwrap-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	/sbin/chkconfig
Requires:	libwrap >= 7.6-38
Requires:	rc-scripts
Provides:	user(rpc)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
The portmapper manages RPC connections, which are used by protocols
such as NFS and NIS. The portmap server must be running on machines
which act as servers for protocols which make use of the RPC
mechanism. This portmapper supports hosts.{allow,deny} type access
control.

%description -l es.UTF-8
portmap administra conexiones RPC, que incluye NFS. Este mapeador de
puerto puede usar hosts.{allow,deny} para controlar el acceso.

%description -l pl.UTF-8
Portmapper zarządza połączeniami RPC, z których korzystają protokoły
NFS i NIS. Serwery tych protokołów potrzebują uruchomionego
portmappera. Ta wersja portmappera korzysta z plików
hosts.{allow,deny} do kontroli dostępu.

%description -l pt_BR.UTF-8
O portmap gerencia conexões RPC, incluindo NFS. Este mapeador de porta
pode usar hosts.{allow,deny} para controlar o acesso.

%prep
%setup -q -n %{name}_%{version}
%patch0 -p1

%build
%{__make} \
	CC="%{__cc} -fPIC" \
	CFLAGS="%{rpmcflags}" \
	FACILITY=LOG_AUTH

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}
install -d $RPM_BUILD_ROOT{/var/lib/misc,/etc/{sysconfig,rc.d/init.d}}

%{__make} install \
	BASEDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/portmap
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/portmap

touch $RPM_BUILD_ROOT/var/lib/misc/portmap.dump

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%useradd -u 22 -d /usr/share/empty -s /bin/false -c "Portmapper RPC User" -g nobody rpc

%post
/sbin/chkconfig --add portmap
%service portmap restart "portmap daemon"

%preun
if [ "$1" = "0" ] ; then
	%service portmap stop
	/sbin/chkconfig --del portmap
fi

%postun
if [ "$1" = "0" ]; then
	%userremove rpc
fi

%files
%defattr(644,root,root,755)
%doc BLURB* CHANGES README*
%attr(754,root,root) /etc/rc.d/init.d/portmap
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/portmap
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man8/*
%ghost /var/lib/misc/portmap.dump

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: portmap.spec,v $
Revision 1.67  2008-03-26 17:49:39  glen
- adapter

Revision 1.66  2008-02-06 20:58:31  glen
- drop invalid trigger (portmap-4.0-9 is not a version); rel 2

Revision 1.65  2007-07-05 14:04:50  baggins
- rel 1
- removed obsolete patches and sources
- use make install for installation

Revision 1.64  2007/06/07 20:23:40  arekm
- access patch needs update; sigpipe is obsolete

Revision 1.63  2007/06/07 20:21:44  arekm
- drop obsolete patches, two left (need update)

Revision 1.62  2007/05/11 11:39:40  baggins
- started update to 6.0

Revision 1.61  2007/02/13 08:06:41  glen
- tabs in preamble

Revision 1.60  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.59  2006/10/02 20:25:19  glen
- rel 20

Revision 1.58  2006/05/21 21:50:10  glen
- rel 19

Revision 1.57  2006/03/13 09:40:21  qboosh
- Requires for libwrap instead of Conflicts
- more verbose files list

Revision 1.56  2006/03/12 22:45:47  glen
- use %service, adapterized

Revision 1.55  2006/03/12 14:53:53  qboosh
- updated init script (removed reload action, added cleanup action)

Revision 1.54  2006/03/11 19:28:07  qboosh
- reverted rpc_user patch to use "rpc" user, but this time creating this user on install
- release 18

Revision 1.53  2006/01/30 16:28:07  baggins
- release 17
- vserver friendly fixes
- perror was redefined for a reason (don't -Dlint)

Revision 1.52  2006/01/11 19:28:22  baggins
- rel 16

Revision 1.51  2006/01/06 21:19:50  baggins
- updated patches
- added chroot and ip options

Revision 1.50  2005/12/27 15:53:13  baggins
- release 15
- moved programs to /sbin (in case someone wants /usr on NFS)
- C:libwrap not in /lib

Revision 1.49  2005/10/04 16:35:47  glen
- pure chkconfig dep, adapterized

Revision 1.48  2004/10/31 21:53:12  paladine
- spaces->tabs
- formatting

Revision 1.47  2004/09/25 11:20:54  radek
- cosmetics (spaces -> tabs)

Revision 1.46  2004/08/18 09:45:32  domelu
- rel 14

Revision 1.45  2003/09/05 15:14:32  baggins
- typo

Revision 1.44  2003/09/05 15:00:40  baggins
- release 13
- added /var/lib/misc/portmap.dump for use with new init script
- use pmap_dump/set when restarting portmapper

Revision 1.43  2003/08/08 15:04:39  qboosh
- more specific Requires

Revision 1.42  2003/05/25 11:00:57  malekith
- massive attack, adding Source-md5

Revision 1.41  2003/05/25 06:25:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.40  2003/03/07 18:59:12  wiget
- added errno.patch
- don't use own versions of daemon() and strerror()
- release 12

Revision 1.39  2002/11/29 22:45:55  ankry
- massive attack: new %doc

Revision 1.38  2002/02/23 04:25:49  kloczek
- adapterized.

Revision 1.37  2002/02/22 23:29:36  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.36  2002/01/18 02:14:38  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.35  2002/01/06 05:25:53  kloczek
- release 11.

Revision 1.34  2002/01/05 16:33:31  blues
- some stollen translations

Revision 1.33  2002/01/04 11:18:57  qboosh
- fixed init script and postun: check if portmap is running before stopping
- release 10

Revision 1.32  2001/12/24 23:12:42  qboosh
- changed rpc_user patch - s/rpc/nobody/
  (there is no "rpc" user in PLD, and it seems not necessary - portmap
   doesn't seem to require any additional privileges)
- release 9

Revision 1.31  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.29  2001/05/18 00:07:54  kloczek
- release 8: merge rawhide rpc_user, sigpipe patches.

Revision 1.28  2001/05/02 21:51:26  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.27  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.26  2000/10/08 02:39:24  baggins
- fixed source URL

Revision 1.25  2000/09/29 16:43:44  zagrodzki
- changed priorities
- release 7

Revision 1.24  2000/07/15 06:17:58  kloczek
- release 6,
- adapted two patches from rawhide (malloc and cleanup),
- added %triggerpostun script for portmap <= portmap-4.0-9.

Revision 1.23  2000/06/09 07:23:51  kloczek
- added using %{__make} macro.

Revision 1.22  2000/06/07 04:31:54  kloczek
- spec adapterized.

Revision 1.21  2000/06/01 02:23:44  kloczek
- release 5.

Revision 1.20  2000/04/01 11:15:35  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.19  2000/03/28 16:55:04  baggins
- translated kloczkish into english

Revision 1.18  2000/03/28 13:09:10  baggins
- release ++
- updated init script to rc-scripts 0.2.0

Revision 1.17  1999/10/04 17:34:20  kloczek
- added libwrap_shared patch for building portmap against shared libwrap,
- added libwrap-devel to BuildRequires,
- fixed %install.

Revision 1.16  1999/10/04 17:20:08  kloczek
- release 3.

Revision 1.15  1999/09/11 13:57:26  misiek
- fixed requires (PR#47)

Revision 1.14  1999/07/20 12:48:10  wiget
- switch to rpm 3.0.2

Revision 1.13  1999/07/12 23:06:12  kloczek
- added using CVS keywords in %changelog (for automating them).
